module Parser_Tables

  ! Parser tables for the LR parser generator.  The only reasons for the
  ! existence of this module are:
  ! 1. So that LR doesn't need to generate a module, and be told its name, and
  ! 2. More importantly, to avoid a circular dependency between Parser_Tables_m
  !    and Tree that would arise if Parser.f9h were in Parser_Tables_m. 

  use Symbol_Types  ! to get token names, Min_Pseudo, and Max_Pseudo
  implicit NONE
  public

  include "Parser.f9h"

!---------------------------- RCS Module Info ------------------------------
  character (len=*), private, parameter :: ModuleName= &
       "$RCSfile: Parser_Tables.f90,v $"
  private :: not_used_here 
!---------------------------------------------------------------------------

contains

!--------------------------- end bloc --------------------------------------
  logical function not_used_here()
  character (len=*), parameter :: IdParm = &
       "$Id: Parser_Tables.f90,v 1.1 2022/01/28 01:45:21 vsnyder Exp $"
  character (len=len(idParm)) :: Id = idParm
    not_used_here = (id(1:1) == ModuleName(1:1))
    print *, Id ! .mod files sometimes change if PRINT is added
  end function not_used_here
!---------------------------------------------------------------------------

end module Parser_Tables

! $Log: Parser_Tables.f90,v $
! Revision 1.1  2022/01/28 01:45:21  vsnyder
! Re-committed with new name
!
! Revision 1.1  2022/01/24 22:16:18  vsnyder
! Initial commit
!
